<?php

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("global_start", "minchar");



function minchar_info()
{
	return array(
		"name"			=> "خاموش کردن محدودیت طول ارسال ها برای گروه ها",
		"description"	=> "این پلاگین محدودیت تعیین شده برای ارسال ها را برای گروه های مشخص لغو می کند، فارسی سازی توسط MyBBIran.com",
		"website"		=> "http://www.mybb.com//",
		"version"		=> "1.0",
		"author"		=> "bubulang",
		"authorsite"	=> "http://community.mybb.com/user-29135.html",
		"compatibility"  => "16*",
		'guid'        => 'b6f4b6b8095312cdbb5c003685292a51'
	);
}

function minchar_activate()
{
	global $mybb, $db;
	
	$query = $db->simple_select("settinggroups", "gid", "name='posting'");
	$gid = $db->fetch_field($query, "gid");
	
	$setting = array(
		'name' => 'disableminchar',
		'title' => 'لغو کردن محدودیت طول پیام برای گروه های کاربری',
		'description' => 'گروه های کاربری که محدودیت طول ارسال برای آن ها خاموش می باشد را وارد کنید، آن ها را با کاما جدا کنید. برای خاموش بودن این عملکرد خالی بگذارید.',
		'optionscode' => 'text',
		'value' => '',
		'disporder' => '1',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	

rebuild_settings();
}

function minchar_deactivate()
{
	global $db, $mybb;

$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='disableminchar'");
    
rebuild_settings();
}
	
function minchar()	
{
global $mybb, $db;
	
$gids = explode(',', $mybb->settings['disableminchar']);
$gids = array_map('intval', $gids);
$user_usergroups = explode(',', $mybb->user['usergroup']);

if(count(array_intersect($user_usergroups, $gids)) > 0) {
$GLOBALS['mybb']->settings['minmessagelength'] = 0;
}
}

?>